### Constructor

# Tracker SparqlConnection bus_new

#### Declaration [src]

    TrackerSparqlConnection*
    tracker_sparql_connection_bus_new (
      const gchar* service_name,
      const gchar* object_path,
      GDBusConnection* dbus_connection,
      GError** error
    )

#### Description [src]

Connects to a database owned by another process on the local machine via DBus.

#### Parameters

`service_name`

  Type: `const gchar*`

  The name of the D-Bus service to connect to.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`object_path`

  Type: `const gchar*`

  The path to the object, or `NULL` to use the default.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`dbus_connection`

  Type: `GDBusConnection`

  The `GDBusConnection` to use, or `NULL` to use the session bus.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `TrackerSparqlConnection`

A new `TrackerSparqlConnection`.

The caller of the function takes ownership of the data, and is responsible for freeing it.